//
//  Sounds.m
//  Pusoy
//
//  Created by JP Vergara on 11/25/12.
//  Copyright (c) 2012 JP Vergara. All rights reserved.
//

#import "Sounds.h"
#import <AudioToolbox/AudioToolbox.h>

@implementation Sounds

const int MAX = 10;

SystemSoundID _sounds[MAX];

+(void) prepSounds
{
    NSString *soundPath;
    NSURL *soundURL;
    for( int i = 0; i < MAX; i++)
    {
        soundPath = [[NSBundle mainBundle]
                 pathForResource:@"woosh" ofType:@"m4a"];
        soundURL = [NSURL fileURLWithPath:soundPath];
        AudioServicesCreateSystemSoundID((CFURLRef)CFBridgingRetain(soundURL), &(_sounds[i]));
    }
}

+(void) load
{
    [Sounds prepSounds];
}

+(void) setSound:(int) idNum: (NSString *) fileName: (NSString *) fileType
{
    if (idNum < 0 || idNum >= MAX )
        return;
    NSString *soundPath;
    NSURL *soundURL;
    soundPath = [[NSBundle mainBundle]
                     pathForResource:fileName ofType:fileType];
    soundURL = [NSURL fileURLWithPath:soundPath];
    AudioServicesCreateSystemSoundID((CFURLRef)CFBridgingRetain(soundURL), &(_sounds[idNum]));
    
}

+(void) play:(int) idNum
{
    if (idNum < 0 || idNum >= MAX )
        return;
    AudioServicesPlaySystemSound(_sounds[idNum]);
}

@end
